<script>
	import FaqItem from "@/components/Faq/Item.svelte"

	import { page } from "$app/stores"
	import { locale } from "@/i18n"

	$: body = $page.data.body?.[$locale]
	// console.log(body, $locale, $page.data.body)
</script>

<div class="faq-list">
	{#if body}
		{#each body as {title, text}}
			<FaqItem>
				<p slot="title">{@html title}</p>
				<p>{@html text}</p>
			</FaqItem>
		{/each}
	{/if}
</div>

<style lang="scss">
	.list {
		margin: -.5rem 0;
	}
</style>